Bug 1389433 (CVE-2016-9604)

Summary: CVE-2016-9604 kernel: security: The built-in keyrings for security tokens can be joined as a session and then modified by the root user
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: aquini, bhu, dhoward, dhowells, fhrbata, iboverma, jcm, jkacur, joelsmith, jross, kernel-mgr, lgoncalv, matt, mcressma, nmurray, pholasek, plougher, pmatouse, rvrbovsk, security-response-team, vdronov, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: kernel 4.11-rc8 Doc Type: Bug Fix
Doc Text:
It was discovered that root can gain direct access to an internal keyring, such as '.dns_resolver' in RHEL-7 or '.builtin_trusted_keys' upstream, by joining it as its session keyring. This allows root to bypass module signature verification by adding a new public key of its own devising to the keyring.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:01:26 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1389309, 1440220, 1440223, 1440224, 1446566, 1446569    
Bug Blocks: 1389436    

Description Adam Mariš 2016-10-27 14:59:22 UTC
It was found that it is possible for root to gain direct access to an internal keyring, such as '.dns_resolver' in RHEL-7 or '.builtin_trusted_keys' upstream, by joining it as its session keyring. This allows root to bypass module signature verification by adding a new public key of its own devising to the keyring.

References:

https://bugzilla.novell.com/show_bug.cgi?id=1035576

http://people.canonical.com/~ubuntu-security/cve/2016/CVE-2016-9604.html

Upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=ee8f844e3c5a73b999edf733df1c529d6503ec2f

Comment 1 Adam Mariš 2016-10-27 14:59:36 UTC
Acknowledgments:

Name: David Howells (Red Hat)

Comment 5 Vladis Dronov 2017-04-07 15:04:11 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5 as the code with the flaw is not present in this product.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 6, 7 and MRG-2. Future Linux kernel updates for the respective releases might address this issue.

Comment 9 Vladis Dronov 2017-04-28 11:06:35 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1446566]

Comment 11 errata-xmlrpc 2017-08-01 19:09:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2077 https://access.redhat.com/errata/RHSA-2017:2077

Comment 12 errata-xmlrpc 2017-08-02 07:49:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1842 https://access.redhat.com/errata/RHSA-2017:1842

Comment 13 errata-xmlrpc 2017-09-06 20:38:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise MRG 2

Via RHSA-2017:2669 https://access.redhat.com/errata/RHSA-2017:2669